Node('jtccr.config.sea.psi.ch',
     'CCR with JT-stage',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for jtccr.config',
    config='jtccr.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    rel_paths=['main', '.', 'set'],
    value=Param(unit='K'),
)

Mod('T_ccr',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tt',
    rel_paths=['ccr'],
    value=Param(unit='K'),
)

Mod('jtccr',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='jtccr',
    extra_modules=['v1','v2','v3','v4','v5','v6','v7','v8','v9','v10','vm'],
)

Mod('v1',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v1',
)

Mod('v2',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v2',
)

Mod('v3',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v3',
)

Mod('v4',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v4',
)

Mod('v5',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v5',
)

Mod('v6',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v6',
)

Mod('v7',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v7',
)

Mod('v8',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v8',
)

Mod('v9',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v9',
)

Mod('v10',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.v10',
)

Mod('vm',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='jtccr.vm',
)

Mod('p1',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='p1',
    value=Param(unit='mbar'),
)

Mod('p2',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='p2',
    value=Param(unit='mbar'),
)

Mod('p3',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='p3',
    value=Param(unit='mbar'),
)

Mod('p4',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='p4',
    value=Param(unit='mbar'),
)

Mod('pressreg',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='pressreg',
    value=Param(unit='mbar'),
)

Mod('epc',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='epc',
)
